## com.google.appengine.api.quota
Class QuotaServiceFactory

    java.lang.Object
      com.google.appengine.api.quota.QuotaServiceFactory

    public class QuotaServiceFactory

extends java.lang.Object

The factory by which users acquire a handle to the QuotaService.

Constructor Summary
`QuotaServiceFactory()`

Method Summary
`static QuotaService` `getQuotaService()` Gets a handle to the quota service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuotaServiceFactory

    public QuotaServiceFactory()

Method Detail

### getQuotaService

    public static QuotaService getQuotaService()

  Gets a handle to the quota service. Note that the quota service always exists, regardless of how many of its features are supported by a particular app server. If a particular feature (like `QuotaService.getApiTimeInMegaCycles()`) is not accessible, the the instance will not be able to provide that feature and throw an appropriate exception.

  Returns:
    a `QuotaService` instance.